<? if (!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED !== true) die();

$this->setFrameMode(true);

if ($USER->IsAuthorized()) {
    //////
} else {
    LocalRedirect('/personal/auth/');
    exit();
}

use Bitrix\Iblock\ElementTable,
    Bitrix\Catalog\Model\Price;


foreach ($arResult["ITEMS"] as $k => $arItem) {
    $rsElement = ElementTable::getList([
        'filter' => [
            'IBLOCK_ID' => $arParams['IBLOCK_ID'],
            'ID' => $arItem['ID']
        ],
        'select' => [
            'ACTIVE'
        ]
    ])->fetch();
    // Получаем цену товара
    $priceIterator = Price::getList([
        'filter' => [
            '=PRODUCT_ID' => $arItem['ID'], // ID товара
            '=CATALOG_GROUP_ID' => '1' // ID типа цены
        ]
    ]);
    if ($price = $priceIterator->fetch()) {
        $arResult["ITEMS"][$k]['PRICE'] = $price;
    }
    $arResult["ITEMS"][$k]['DOP_INFO'] = $rsElement;
} ?>